# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class QueryStreamInfoRequest(JDCloudRequest):
    """
    分页查询直播流数据接口
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(QueryStreamInfoRequest, self).__init__(
            '/domain/{domain}/liveStatistics:streamInfo', 'POST', header, version)
        self.parameters = parameters


class QueryStreamInfoParameters(object):

    def __init__(self, domain,):
        """
        :param domain: 用户域名
        """

        self.domain = domain
        self.startTime = None
        self.endTime = None
        self.appName = None
        self.streamName = None
        self.pageNum = None
        self.pageSize = None

    def setStartTime(self, startTime):
        """
        :param startTime: (Optional) 查询起始时间,UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2018-10-21T10:00:00Z
        """
        self.startTime = startTime

    def setEndTime(self, endTime):
        """
        :param endTime: (Optional) 查询截止时间,UTC时间，格式为:yyyy-MM-dd'T'HH:mm:ss'Z'，示例:2018-10-21T10:00:00Z
        """
        self.endTime = endTime

    def setAppName(self, appName):
        """
        :param appName: (Optional) app名
        """
        self.appName = appName

    def setStreamName(self, streamName):
        """
        :param streamName: (Optional) 流名
        """
        self.streamName = streamName

    def setPageNum(self, pageNum):
        """
        :param pageNum: (Optional) 页码，不传默认1
        """
        self.pageNum = pageNum

    def setPageSize(self, pageSize):
        """
        :param pageSize: (Optional) 页size,不传默认100,最大值1000
        """
        self.pageSize = pageSize

