# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ConsoleGeneralDataRequest(JDCloudRequest):
    """
    生成数据
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ConsoleGeneralDataRequest, self).__init__(
            '/regions/{regionId}/console:generalData', 'POST', header, version)
        self.parameters = parameters


class ConsoleGeneralDataParameters(object):

    def __init__(self, regionId,):
        """
        :param regionId: 地域代码，取值范围参见[《各地域及可用区对照表》](../Enum-Definitions/Regions-AZ.md)
        """

        self.regionId = regionId
        self.dataSourceId = None
        self.dbName = None
        self.tableName = None
        self.count = None

    def setDataSourceId(self, dataSourceId):
        """
        :param dataSourceId: (Optional) 数据源id
        """
        self.dataSourceId = dataSourceId

    def setDbName(self, dbName):
        """
        :param dbName: (Optional) 数据库名称
        """
        self.dbName = dbName

    def setTableName(self, tableName):
        """
        :param tableName: (Optional) 表名。
        """
        self.tableName = tableName

    def setCount(self, count):
        """
        :param count: (Optional) 生成数据行数。
        """
        self.count = count

