# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class UpdateLogsetRequest(JDCloudRequest):
    """
    更新日志集。日志集名称不可更新。
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(UpdateLogsetRequest, self).__init__(
            '/regions/{regionId}/logsets/{logsetUID}', 'PUT', header, version)
        self.parameters = parameters


class UpdateLogsetParameters(object):

    def __init__(self, regionId,logsetUID,):
        """
        :param regionId: 地域 Id
        :param logsetUID: 日志集 UID
        """

        self.regionId = regionId
        self.logsetUID = logsetUID
        self.description = None
        self.lifeCycle = None

    def setDescription(self, description):
        """
        :param description: (Optional) 日志集描述
        """
        self.description = description

    def setLifeCycle(self, lifeCycle):
        """
        :param lifeCycle: (Optional) 保存周期，只能是 7， 15， 30
        """
        self.lifeCycle = lifeCycle

