# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateMigrationRequest(JDCloudRequest):
    """
    创建一个迁移任务，指定并校验迁移配置
    """

    def __init__(self, parameters, header=None, version="v2"):
        super(CreateMigrationRequest, self).__init__(
            '/regions/{regionId}/instance', 'POST', header, version)
        self.parameters = parameters


class CreateMigrationParameters(object):

    def __init__(self, regionId,migrateConfig, ):
        """
        :param regionId: 迁移任务所在区域的Region ID。华北-北京(cn-north-1)，华东-上海(cn-east-2)，华南-广州(cn-south-1)
        :param migrateConfig: 迁移配置，创建成功后可修改
        """

        self.regionId = regionId
        self.migrateConfig = migrateConfig
        self.azAndNetConfig = None

    def setAzAndNetConfig(self, azAndNetConfig):
        """
        :param azAndNetConfig: (Optional) 可用区与网络配置，创建成功后不能修改
        """
        self.azAndNetConfig = azAndNetConfig

