# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class DescribePackRes(object):

    def __init__(self, packType=None, packMode=None, flowLimit=None, availableZoneNum=None, cdnSpeedTraffic=None, ddosBaseProtect=None, ddosElasticProtect=None, freeCert=None, botManage=None, waf=None, customUploadCert=None, ccAttackQpsSingle=None, ccAttackQpsTotal=None, dedicatedIp=None, availableNodeNum=None, specialCertNum=None, trueClientIp=None, originErrorPagePass=None, staticContentCache=None, customClearByUrl=None, advanceCustomClear=None, minCacheTtl=None, clientUploadFileLimit=None, maxCacheFileLimit=None, urlPrefetch=None, pageRuleNum=None, imageOptimize=None, http2=None, developMode=None, queryStringSort=None, customNameServer=None, generalCert=None, customCertNum=None, websiteAnalyseTimeSpecs=None, dnsAnalyseTime=None, attackAnalyseTime=None, auditLog=None, requestLog=None, owaspCoreRule=None, builtInPredefinedRule=None, firewallRuleNum=None, firewalRegularRule=None):
        """
        :param packType: (Optional) 套餐类型
        :param packMode: (Optional) 套餐模型(BASE->基础版 FLOW->流量版)
        :param flowLimit: (Optional) 套餐流量
        :param availableZoneNum: (Optional) 可用域名数
        :param cdnSpeedTraffic: (Optional) cdn加速流量
        :param ddosBaseProtect: (Optional) DDoS保底防护
        :param ddosElasticProtect: (Optional) 是否支持DDoS弹性防护
        :param freeCert: (Optional) 是否提供免费证书
        :param botManage: (Optional) 是否支持BOT功能
        :param waf: (Optional) 是否支持WAF
        :param customUploadCert: (Optional) 自定义上传证书数量
        :param ccAttackQpsSingle: (Optional) 单节点CC攻击QPS
        :param ccAttackQpsTotal: (Optional) CC攻击QPS总量
        :param dedicatedIp: (Optional) 独享IP数量
        :param availableNodeNum: (Optional) 可用节点数量
        :param specialCertNum: (Optional) 域名专用证书数
        :param trueClientIp: (Optional) 是否支持TrueCLientIp
        :param originErrorPagePass: (Optional) 是否支持RriginErrorPagePass
        :param staticContentCache: (Optional) 是否支持静态内容缓存
        :param customClearByUrl: (Optional) 基于URL自定义清除
        :param advanceCustomClear: (Optional) 高级自定义清除(主机名、Tag、前缀目录)
        :param minCacheTtl: (Optional) 最小缓存TTL时间
        :param clientUploadFileLimit: (Optional) 客户端上传文件限制
        :param maxCacheFileLimit: (Optional) 最大缓存文件限制
        :param urlPrefetch: (Optional) 是否支持基于URL预取
        :param pageRuleNum: (Optional) 页面规则数量
        :param imageOptimize: (Optional) 是否支持页面优化
        :param http2: (Optional) 是否支持HTTP2
        :param developMode: (Optional) 是否支持开发模式
        :param queryStringSort: (Optional) 是否支持查询字符串排序
        :param customNameServer: (Optional) 是否支持自定义名称服务器（忽略）
        :param generalCert: (Optional) 是否支持通用证书
        :param customCertNum: (Optional) 自定义证书数量
        :param websiteAnalyseTimeSpecs: (Optional) 网站分析时间规格
        :param dnsAnalyseTime: (Optional) DNS分析时间（历史时间）
        :param attackAnalyseTime: (Optional) 攻击分析时间（历史时间）
        :param auditLog: (Optional) 是否支持审计日志
        :param requestLog: (Optional) 是否支持请求日志
        :param owaspCoreRule: (Optional) 是否支持OWASP核心规则
        :param builtInPredefinedRule: (Optional) 是否支持内置预定义规则
        :param firewallRuleNum: (Optional) 防火墙规则数量
        :param firewalRegularRule: (Optional) 是否支持防火墙正则表达式规则
        """

        self.packType = packType
        self.packMode = packMode
        self.flowLimit = flowLimit
        self.availableZoneNum = availableZoneNum
        self.cdnSpeedTraffic = cdnSpeedTraffic
        self.ddosBaseProtect = ddosBaseProtect
        self.ddosElasticProtect = ddosElasticProtect
        self.freeCert = freeCert
        self.botManage = botManage
        self.waf = waf
        self.customUploadCert = customUploadCert
        self.ccAttackQpsSingle = ccAttackQpsSingle
        self.ccAttackQpsTotal = ccAttackQpsTotal
        self.dedicatedIp = dedicatedIp
        self.availableNodeNum = availableNodeNum
        self.specialCertNum = specialCertNum
        self.trueClientIp = trueClientIp
        self.originErrorPagePass = originErrorPagePass
        self.staticContentCache = staticContentCache
        self.customClearByUrl = customClearByUrl
        self.advanceCustomClear = advanceCustomClear
        self.minCacheTtl = minCacheTtl
        self.clientUploadFileLimit = clientUploadFileLimit
        self.maxCacheFileLimit = maxCacheFileLimit
        self.urlPrefetch = urlPrefetch
        self.pageRuleNum = pageRuleNum
        self.imageOptimize = imageOptimize
        self.http2 = http2
        self.developMode = developMode
        self.queryStringSort = queryStringSort
        self.customNameServer = customNameServer
        self.generalCert = generalCert
        self.customCertNum = customCertNum
        self.websiteAnalyseTimeSpecs = websiteAnalyseTimeSpecs
        self.dnsAnalyseTime = dnsAnalyseTime
        self.attackAnalyseTime = attackAnalyseTime
        self.auditLog = auditLog
        self.requestLog = requestLog
        self.owaspCoreRule = owaspCoreRule
        self.builtInPredefinedRule = builtInPredefinedRule
        self.firewallRuleNum = firewallRuleNum
        self.firewalRegularRule = firewalRegularRule
