# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class CreateBackupRequest(JDCloudRequest):
    """
    创建一个实例全量备份，可以对整个实例所有的数据库进行全量备份。同一时间点，只能有一个正在运行的备份任务
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(CreateBackupRequest, self).__init__(
            '/regions/{regionId}/backups', 'POST', header, version)
        self.parameters = parameters


class CreateBackupParameters(object):

    def __init__(self, regionId,instanceId, backupSpec):
        """
        :param regionId: 地域代码
        :param instanceId: 实例ID，唯一标识一个实例
        :param backupSpec: 备份创建信息
        """

        self.regionId = regionId
        self.instanceId = instanceId
        self.backupSpec = backupSpec

