# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class DeleteKeypairRequest(JDCloudRequest):
    """
    
删除密钥。

详细操作说明请参考帮助文档：[删除密钥](https://docs.jdcloud.com/cn/virtual-machines/delete-keypair)

## 接口说明
- 密钥删除后，使用该密钥的实例仍可正常使用与之匹配的本地私钥登录，且密钥仍会显示在实例详情中。
- 密钥删除后，与之关联的实例模板将变为不可用，并且与该实例模板关联的高可用组也会变为不可用。

    """

    def __init__(self, parameters, header=None, version="v1"):
        super(DeleteKeypairRequest, self).__init__(
            '/regions/{regionId}/keypairs/{keyName}', 'DELETE', header, version)
        self.parameters = parameters


class DeleteKeypairParameters(object):

    def __init__(self, regionId,keyName,):
        """
        :param regionId: 地域ID。
        :param keyName: 密钥名称。
        """

        self.regionId = regionId
        self.keyName = keyName

