# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class AddSecurityGroupRules(object):

    def __init__(self, protocol, direction, addressPrefix, fromPort=None, toPort=None, description=None):
        """
        :param protocol:  规则限定协议。300:All; 6:TCP; 17:UDP; 1:ICMP
        :param direction:  安全组规则方向。0：入规则; 1：出规则
        :param addressPrefix:  匹配地址前缀
        :param fromPort: (Optional) 规则限定起始传输层端口, 取值范围:1-65535, 若protocol为传输层协议，默认值为1，若protocol不是传输层协议，恒为0。如果规则只限定一个端口号，fromPort和toPort填写同一个值
        :param toPort: (Optional) 规则限定终止传输层端口, 取值范围:1-65535, 若protocol为传输层协议，默认值为65535，若protocol不是传输层协议，恒为0。如果规则只限定一个端口号，fromPort和toPort填写同一个值
        :param description: (Optional) 描述,​ 允许输入UTF-8编码下的全部字符，不超过256字符
        """

        self.protocol = protocol
        self.direction = direction
        self.addressPrefix = addressPrefix
        self.fromPort = fromPort
        self.toPort = toPort
        self.description = description
