# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.


class DomainMainConfig(object):

    def __init__(self, domain=None, cname=None, certName=None, protocols=None, sslProtocols=None, pureClient=None, httpStatus=None, httpsCertUpdateStatus=None, gmHttpsCertUpdateStatus=None, gmCertSupport=None, antiStatus=None, disableWaf=None, attackInfo=None, dnsStatus=None, enableCname2Rs=None, enableIpv6=None, region=None):
        """
        :param domain: (Optional) 域名
        :param cname: (Optional) cname域名
        :param certName: (Optional) 绑定的证书名称
        :param protocols: (Optional) 使用协议，["http","https"]
        :param sslProtocols: (Optional) ssl协议，["TLSv1","TLSv1.1","TLSv1.2","SSLv2","SSLv3"]
        :param pureClient: (Optional) 前置代理，1：使用 0：不使用
        :param httpStatus: (Optional) 协议状态，0：正常
        :param httpsCertUpdateStatus: (Optional) https证书绑定状态
        :param gmHttpsCertUpdateStatus: (Optional) 国密https证书绑定状态
        :param gmCertSupport: (Optional) 是否支持国密证书
        :param antiStatus: (Optional) 防护状态，0：关闭 1：开启
        :param disableWaf: (Optional) 1：bypass 0：防护模式
        :param attackInfo: (Optional) 近七天攻击详情
        :param dnsStatus: (Optional) 网站dns配置
        :param enableCname2Rs: (Optional) cname解析状态。0为解析到VIP，1为解析到回源地址
        :param enableIpv6: (Optional) cname解析状态。0为解析到VIP，1为解析到回源地址
        :param region: (Optional) 域名的地域信息，类型是map[string]regionVipInfo
        """

        self.domain = domain
        self.cname = cname
        self.certName = certName
        self.protocols = protocols
        self.sslProtocols = sslProtocols
        self.pureClient = pureClient
        self.httpStatus = httpStatus
        self.httpsCertUpdateStatus = httpsCertUpdateStatus
        self.gmHttpsCertUpdateStatus = gmHttpsCertUpdateStatus
        self.gmCertSupport = gmCertSupport
        self.antiStatus = antiStatus
        self.disableWaf = disableWaf
        self.attackInfo = attackInfo
        self.dnsStatus = dnsStatus
        self.enableCname2Rs = enableCname2Rs
        self.enableIpv6 = enableIpv6
        self.region = region
