# coding=utf8

# Copyright 2018 JDCLOUD.COM
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# NOTE: This class is auto generated by the jdcloud code generator program.

from jdcloud_sdk.core.jdcloudrequest import JDCloudRequest


class ListSmsSendOverviewUsingGETRequest(JDCloudRequest):
    """
    查询应用发送短信总体情况
    """

    def __init__(self, parameters, header=None, version="v1"):
        super(ListSmsSendOverviewUsingGETRequest, self).__init__(
            '/smsApps/{appId}:overview', 'GET', header, version)
        self.parameters = parameters


class ListSmsSendOverviewUsingGETParameters(object):

    def __init__(self, appId, endTime, startTime):
        """
        :param appId: 应用id，传all查询所有应用的数据总和
        :param endTime: 结束时间,pattern ="yyyy-MM-dd HH:mm:ss",timezone="GMT+8"
        :param startTime: 开始时间,pattern ="yyyy-MM-dd HH:mm:ss",timezone="GMT+8"
        """

        self.appId = appId
        self.packageType = None
        self.templateId = None
        self.endTime = endTime
        self.startTime = startTime

    def setPackageType(self, packageType):
        """
        :param packageType: (Optional) 套餐包类型，1普通短信 2官方短信，默认为1
        """
        self.packageType = packageType

    def setTemplateId(self, templateId):
        """
        :param templateId: (Optional) 模板id
        """
        self.templateId = templateId

